# libmonochrome - The MonochromeLib static implementation

The monochrome library was made by PierrotLL. This project is only a reorganization of the files to make a static library, instead of having to include the source files in the projects each time.

The original docs have been converted to markdown and are available [in the libmonochrome wiki](http://git.planet-casio.com/cakeisalie5/libmonochrome/wikis/home).

## Building

Building the library is achieved by the Makefile :
- `make`: make the library ;
- `make clean`: clean the object files ;
- `make fclean`: clean the object files and the final library ;
- `make re`: cleans the object files and the final library, then makes the project.

## Using

Once installed, when linking a project, you will need to link with the library by adding the `-lmonochrome` flag.

If you don't want to install the library :
- when compiling, you should add `-I path/to/this/dir/include`.
- when linking, you should add `-L path/to/this/dir`.
